commit:     40ad4d141216c40a0a1df1b93cf7126d88273100
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Wed Jun 11 07:09:53 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Wed Jun 11 07:09:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=40ad4d14

net-proxy/byedpi: add 0.17

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 net-proxy/byedpi/Manifest              |  1 +
 net-proxy/byedpi/byedpi-0.17.ebuild    | 39 ++++++++++++++++++++++++++++++++++
 net-proxy/byedpi/files/byedpi.initd-r2 | 31 +++++++++++++++++++++++++++
 3 files changed, 71 insertions(+)

diff --git a/net-proxy/byedpi/Manifest b/net-proxy/byedpi/Manifest
index f93735f094..077772ddb8 100644
--- a/net-proxy/byedpi/Manifest
+++ b/net-proxy/byedpi/Manifest
@@ -1,2 +1,3 @@
 DIST byedpi-0.16.2.tar.gz 42071 BLAKE2B 
24f2fe7587245cf5fdc751637554f0cad6933ff445ecf2ceeb9e9612aa060353a6f856023a3bf35b61fa94ce5eeacaf9a384260b63c6aacc133d0d1877ad9ede
 SHA512 
31ff2f0567efe65c41eae7058f492d9686a1bdcce4d4ef156c75b4e0e453916417ec2c738394fd9627487da847272747cb6239d7699e9eb16eca2699fc5edbe7
 DIST byedpi-0.16.6.tar.gz 42399 BLAKE2B 
d276699e30c701645655b04a84811d1b33fc7aa63f7a5abd7883ccd83d22aeed1ca2c94b0bd5be55ef8da02f0ed4c398f7d0e83860c5d54a45fd9006d3fe3a3f
 SHA512 
8511f7e85b5fc840c84bf5093149632bb0b8d34b2fe5f9430cb675ef3235b4e5feff9e6b0c65a2fa509f6e3aa0cc90b2c07c2ef3ebc0f555f390bae5e02446dd
+DIST byedpi-0.17.tar.gz 44633 BLAKE2B 
fb3ce55bb0fb40ad10837eff031fd7fd0f472baac9e44366590fddfd4293f07c7509987938aaeb7674690286120aa8e9b1c35b7eec2af8580d59944aa202bc04
 SHA512 
10fc6c936bdc78ce3f87ee17d7828527894974534bb1f97e1ea1eb180d89d9300fd051512d655b4bb203df83c97576ef56c5f8cebc332f631df99dde08bb996c

diff --git a/net-proxy/byedpi/byedpi-0.17.ebuild 
b/net-proxy/byedpi/byedpi-0.17.ebuild
new file mode 100644
index 0000000000..edffdcd8e7
--- /dev/null
+++ b/net-proxy/byedpi/byedpi-0.17.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd toolchain-funcs
+
+DESCRIPTION="Bypass DPI SOCKS proxy"
+HOMEPAGE="https://github.com/hufrea/byedpi";
+SRC_URI="https://github.com/hufrea/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="acct-user/byedpi"
+
+src_prepare() {
+       default
+
+       # respect optimization level
+       sed -i 's/ -O.\b/ /' Makefile || die
+}
+
+src_configure() {
+       tc-export CC
+}
+
+src_install() {
+       dobin ciadpi
+       einstalldocs
+
+       newinitd "${FILESDIR}"/byedpi.initd-r2 byedpi
+       newconfd "${FILESDIR}"/byedpi.confd byedpi
+       systemd_dounit "dist/linux/${PN}.service"
+
+       insinto /etc
+       newins "dist/linux/${PN}.conf" "${PN}.conf"
+}

diff --git a/net-proxy/byedpi/files/byedpi.initd-r2 
b/net-proxy/byedpi/files/byedpi.initd-r2
new file mode 100644
index 0000000000..02502828f4
--- /dev/null
+++ b/net-proxy/byedpi/files/byedpi.initd-r2
@@ -0,0 +1,31 @@
+#!/sbin/openrc-run
+# shellcheck shell=sh
+#
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+: "${BYEDPI_USER:=byedpi}"
+: "${BYEDPI_GROUP:=nobody}"
+
+: "${BYEDPI_BIND_IP:=0.0.0.0}"
+: "${BYEDPI_BIND_PORT:=1080}"
+: "${BYEDPI_OPTS:=--split 1 --disorder 3+s --mod-http=h,d --auto=torst 
--tlsrec 1+s}"
+
+description="Bypass DPI SOCKS proxy"
+supervisor="supervise-daemon"
+command="/usr/bin/ciadpi"
+pidfile="/run/byedpi/${RC_SVCNAME}.pid"
+command_user="${BYEDPI_USER}:${BYEDPI_GROUP}"
+command_args="--ip ${BYEDPI_BIND_IP} --port ${BYEDPI_BIND_PORT} ${BYEDPI_OPTS}"
+command_args_background="--daemon --pidfile ${pidfile}"
+output_logger="logger -p daemon.info -t byedpi --"
+error_logger="logger -p daemon.err -t byedpi --"
+
+depend() {
+       need net
+       use firewall logger
+}
+
+start_pre() {
+       checkpath -q -do "${BYEDPI_USER}":root "$(dirname "${pidfile}")"
+}

Reply via email to